package com.ozs.da.entity.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author 许明
 * on 2019/3/7.
 * @version 2.0.0
 */
@ApiModel(description = "任务操作类")
public class JobOperateCmd {
    @ApiModelProperty(dataType = "String", name = "jobId", value = "任务id")
    private String jobId;
    @ApiModelProperty(dataType = "String", name = "operateType", value = "操作类型，1：开始，2：结束，3：立即执行一次")
    private String operateType;

    public JobOperateCmd(){
    }

    public JobOperateCmd(String jobId, long time, String operateType)
    {
        this.jobId = jobId;
        this.operateType = operateType;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

}
